Compliance Assessment Service API Documentation
  • Overview
  • Core Concepts
  • API Reference
Product
  • Pricing
Company
  • About Us
  • Contact
Legal
  • Privacy Policy

© 2026 Precognox. All rights reserved.

Information
info-controller
    Get application infoget
framework-controller
    List all frameworksgetList framework criteriaget
assessment-controller
    Submit assessmentpostPoll assessment statusgetGet assessment resultsgetCancel assessmentdelete
assessment-feedback-controller
    Submit assessment feedbackpost
content-processing-controller
    Submit file for content processingpostSubmit URL for content processingpostGet content processing statusgetBatch status checkpostGet extracted contentgetCancel content processingdeleteRefresh content processingpost
Schemas
Compliance Manager Backend API
Compliance Manager Backend API

framework-controller


List all frameworks

GET
https://dev-compliance-assessment.precognox.com
/api/v1/frameworks

Retrieve all supported compliance frameworks with their associated criteria.

List all frameworks › Headers

KEYCLOAK_SUBJECT
​string · uuid · required

UUID of the authenticated partner (set by the API gateway from the Keycloak access token)

List all frameworks › Responses

OK

​FrameworkResponseDTO[]
Compliance framework with associated criteria
FrameworkResponseDTO
id
​integer · int64

Unique identifier of the framework

name
​string

Name of the framework

codeName
​string

Code name of the framework

description
​string

Description of the framework

​CriterionRequestDTO[]

List of criteria associated with the framework

GET/api/v1/frameworks
curl --request GET \ --url https://dev-compliance-assessment.precognox.com/api/v1/frameworks \ --header 'KEYCLOAK_SUBJECT: <string>'
shell
Example Responses
[ { "id": 0, "name": "name", "codeName": "codeName", "description": "description", "criteria": [ { "name": "name", "codeName": "codeName", "description": "description" } ] } ]
json
application/json

List framework criteria

GET
https://dev-compliance-assessment.precognox.com
/api/v1/frameworks/{frameworkId}/criteria

Retrieve all criteria associated with a specific compliance framework.

List framework criteria › path Parameters

frameworkId
​integer · int32 · required

Unique identifier of the framework

List framework criteria › Headers

KEYCLOAK_SUBJECT
​string · uuid · required

UUID of the authenticated partner (set by the API gateway from the Keycloak access token)

List framework criteria › Responses

OK

​CriterionRequestDTO[]
A compliance criterion within a framework
CriterionRequestDTO
name
​string · required

The full name of the criterion

codeName
​string · required

The code name of the criterion

description
​string · required

The description of the criterion

GET/api/v1/frameworks/{frameworkId}/criteria
curl --request GET \ --url https://dev-compliance-assessment.precognox.com/api/v1/frameworks/:frameworkId/criteria \ --header 'KEYCLOAK_SUBJECT: <string>'
shell
Example Responses
[ { "name": "name", "codeName": "codeName", "description": "description" } ]
json
application/json

info-controllerassessment-controller